MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# stats Struct Reference

`#include <stats.h>`

## Data Fields
GTimer * | timer
unsigned | song_count
| number of song files in the music directory
unsigned long | song_duration
| sum of all song durations in the music directory (in seconds)
unsigned | artist_count
| number of distinct artist names in the music directory
unsigned | album_count
| number of distinct album names in the music directory

## Detailed Description

Definition at line 27 of file stats.h.

## Field Documentation

unsigned stats::album_count

number of distinct album names in the music directory

Definition at line 41 of file stats.h.

unsigned stats::artist_count

number of distinct artist names in the music directory

Definition at line 38 of file stats.h.

unsigned stats::song_count

number of song files in the music directory

Definition at line 31 of file stats.h.

unsigned long stats::song_duration

sum of all song durations in the music directory (in seconds)

Definition at line 35 of file stats.h.

GTimer* stats::timer

Definition at line 28 of file stats.h.

The documentation for this struct was generated from the following file:

- src/stats.h